Bonuses
此页面暂无中文版本,显示的是英文版本。
Update Bonus Preset
Authorization
bearerAuth AuthorizationBearer <token>
In: header
Path Parameters
presetId*integer
Preset ID
Header Parameters
accept-language?string
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X PUT "https://example.com/api/v2/bonuses/presets/1" \ -H "accept-language: ja" \ -H "Content-Type: application/json" \ -d '{ "name": "Preset", "priority": 0, "lifetime": 0, "dynamicLots": 55.55, "enableAutoCredit": true, "scalpingThreshold": 0, "enableTrade": true, "disabledGroups": [ "EURJPY" ] }'{ "id": 0, "platform": "MetaTrader4", "name": "Preset", "priority": 0, "default": true, "lifetime": 0, "dynamicLots": "0.000", "enableAutoCredit": true, "scalpingThreshold": 0, "disabledGroups": "EURJPY, USDEUR", "enableTrade": true, "createdAt": "2022-01-01T00:00:00+00:00", "updatedAt": "2022-01-01T00:00:00+00:00"}{ "error": { "message": "Bad Request", "code": 0, "details": [ { "issue": "The selected value is invalid.", "field": "parameter" } ] }}{ "error": { "message": "Unauthorized" }}{ "error": { "message": "Forbidden" }}{ "error": { "message": "Not Found" }}{ "error": { "message": "Too Many Requests" }}{ "error": { "message": "Service Unavailable" }}